Bug 300017 - The screen locking system doesn't recognize my password
Summary: The screen locking system doesn't recognize my password
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR major (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-14 16:44 UTC by Aleix Pol
Modified: 2015-11-24 15:10 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleix Pol 2012-05-14 16:44:54 UTC
whenever I want to hide the kscreenlocker screen, I enter my password. kscreenlocker doesn't seem to like my password:

apol@tatil:~$ ~kde-devel/kde/lib/kde4/libexec/kcheckpass
Password: 
Authentication failure

Reproducible: Always

Steps to Reproduce:
1. ctrl+shift+L
2. add password
3. I get a denial
4. go to 2, or killall kscreenlocker


Expected Results:  
I expected kscreenlocker to realize whats my password
Comment 1 Dan Duris 2012-06-01 11:16:26 UTC
I used to get these error messages:
Jun  1 13:05:15  kcheckpass[9628]: pam_unix(kdm:auth): authentication failure; logname= uid=1000 euid=1000 tty
=:0 ruser= rhost=  user=
Jun  1 13:05:15  kcheckpass[9628]: pam_winbind(kdm:auth): getting password (0x00000388)
Jun  1 13:05:15  kcheckpass[9628]: pam_winbind(kdm:auth): pam_get_item returned a password
Jun  1 13:05:15  kcheckpass[9628]: pam_winbind(kdm:auth): request wbcLogonUser failed: WBC_ERR_AUTH_ERROR, PAM
 error: PAM_USER_UNKNOWN (10), NTSTATUS: NT_STATUS_NO_SUCH_USER, Error message was: No such user
Jun  1 13:05:15  kcheckpass[9628]: Authentication failure for dusoft (invoked by uid 1000)

[username deleted]

This has been *SOLVED* by doing:
$ sudo chown root:root /usr/lib/kde4/libexec/kcheckpass
$ sudo chmod 4755 /usr/lib/kde4/libexec/kcheckpass

now everything works, kscreenlockers recognizes the password
Comment 2 Aleix Pol 2012-06-01 11:18:45 UTC
I got this problem fixed automatically, i don't know what it was.

I'm closing it.
Comment 3 Dan Duris 2015-11-24 15:08:55 UTC
Please, reopen, happens after every upgrade:
Nov 24 15:01:13 xxxxx kcheckpass[10401]: pam_ecryptfs: seteuid error
Nov 24 15:01:13 xxxxx unix_chkpwd[10402]: check pass; user unknown
Nov 24 15:01:13 xxxxx unix_chkpwd[10403]: check pass; user unknown
Nov 24 15:01:13 xxxxx unix_chkpwd[10403]: password check failed for user (xxxxx)
Nov 24 15:01:13 xxxxx kcheckpass[10401]: pam_unix(kdm:auth): authentication failure; logname=xxxxx uid=1000 euid=1000 tty=:0 ruser= rhost=  user=xxxxx
Nov 24 15:01:13 xxxxx kcheckpass[10401]: pam_winbind(kdm:auth): getting password (0x00000388)
Nov 24 15:01:13 xxxxx kcheckpass[10401]: pam_winbind(kdm:auth): pam_get_item returned a password
Nov 24 15:01:13 xxxxx kcheckpass[10401]: pam_winbind(kdm:auth): request wbcLogonUser failed: WBC_ERR_AUTH_ERROR, PAM error: PAM_USER_UNKNOWN (10), NTSTATUS: NT_STATUS_NO_SUCH_USER, Error message was: No such user
Nov 24 15:01:13 xxxxx kcheckpass[10401]: Authentication failure for xxxxx (invoked by uid 1000)
Nov 24 15:01:19 xxxxx login[1915]: pam_ecryptfs: pam_sm_authenticate: /home/xxxxx is already mounted
Nov 24 15:01:20 xxxxx login[1915]: pam_unix(login:session): session opened for user xxxxx by LOGIN(uid=0)
Nov 24 15:01:20 xxxxx systemd-logind[925]: New session c4 of user xxxxx.
Nov 24 15:02:12 xxxxx kcheckpass[10535]: pam_ecryptfs: seteuid error
Nov 24 15:02:12 xxxxx unix_chkpwd[10536]: check pass; user unknown
Nov 24 15:02:12 xxxxx unix_chkpwd[10537]: check pass; user unknown
Nov 24 15:02:12 xxxxx unix_chkpwd[10537]: password check failed for user (xxxxx)
Nov 24 15:02:12 xxxxx kcheckpass[10535]: pam_unix(kdm:auth): authentication failure; logname=xxxxx uid=1000 euid=1000 tty=:0 ruser= rhost=  user=xxxxx
Nov 24 15:02:12 xxxxx kcheckpass[10535]: pam_winbind(kdm:auth): getting password (0x00000388)
Nov 24 15:02:12 xxxxx kcheckpass[10535]: pam_winbind(kdm:auth): pam_get_item returned a password
Nov 24 15:02:12 xxxxx kcheckpass[10535]: pam_winbind(kdm:auth): request wbcLogonUser failed: WBC_ERR_AUTH_ERROR, PAM error: PAM_USER_UNKNOWN (10), NTSTATUS: NT_STATUS_NO_SUCH_USER, Error message was: No such user
Nov 24 15:02:12 xxxxx kcheckpass[10535]: Authentication failure for xxxxx (invoked by uid 1000)
Nov 24 15:02:18 xxxxx kcheckpass[10543]: pam_ecryptfs: seteuid error
Nov 24 15:02:18 xxxxx unix_chkpwd[10544]: check pass; user unknown
Nov 24 15:02:18 xxxxx unix_chkpwd[10545]: check pass; user unknown
Nov 24 15:02:18 xxxxx unix_chkpwd[10545]: password check failed for user (xxxxx)
Nov 24 15:02:18 xxxxx kcheckpass[10543]: pam_unix(kdm:auth): authentication failure; logname=xxxxx uid=1000 euid=1000 tty=:0 ruser= rhost=  user=xxxxx
Nov 24 15:02:18 xxxxx kcheckpass[10543]: pam_winbind(kdm:auth): getting password (0x00000388)
Nov 24 15:02:18 xxxxx kcheckpass[10543]: pam_winbind(kdm:auth): pam_get_item returned a password
Nov 24 15:02:18 xxxxx kcheckpass[10543]: pam_winbind(kdm:auth): request wbcLogonUser failed: WBC_ERR_AUTH_ERROR, PAM error: PAM_USER_UNKNOWN (10), NTSTATUS: NT_STATUS_NO_SUCH_USER, Error message was: No such user
Nov 24 15:02:18 xxxxx kcheckpass[10543]: Authentication failure for xxxxx (invoked by uid 1000)
Comment 4 Dan Duris 2015-11-24 15:10:18 UTC
Solution mentioned in #1 fixes it for me again.